Move to exact destination
POST
/v1/disks/{disk}/movePOST
/v1/disks/{disk}/move
const url = 'https://api.wabe.sh/v1/disks/demo/move';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"from":"/notes.txt","to":"/archive/notes.txt"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.wabe.sh/v1/disks/demo/move \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "from": "/notes.txt", "to": "/archive/notes.txt" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”disk
required
string
Example
demoProject disk name, or the disk ID in the actor runtime disk URL.
Query Parameters
Section titled “Query Parameters”branch
string
commit
string format: uuid
label
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
from
required
string
to
required
string
Example
{ "from": "/notes.txt", "to": "/archive/notes.txt"}Responses
Section titled “Responses”Entry moved.
Invalid input.
Media typetext/plain
string
Missing, invalid or revoked project API key, or an invalid runtime access token.
Media typeapplication/json
object
error
required
string
message
required
string
Actor runtime token does not authorize this disk or instance generation.
Media typeapplication/json
object
error
required
string
message
required
string
Object was not found.
Media typetext/plain
string
Conflict, nonempty destination or referenced object.
Media typetext/plain
string
Storage, I/O or corruption failure.
Media typetext/plain
string
Disk unavailable.
Media typeapplication/json
object
error
required
string
message
required
string